Subject: Re: [PATCH] gitweb: bugfix: list regression

From: Jakub Narebski <[email-masked]>
Date: Tue, 22 Aug 2006 11:30:08 +0200

Luben Tuikov wrote:

> Fix regression introduced by
> commit 17d07443188909ef5f8b8c24043cb6d9fef51bca.
> 
> 1. Commit 17d07443188909ef5f8b8c24043cb6d9fef51bca defines
> "a.list" twice in gitweb.css, once with bold and once with
> normal font-weight.
> 
> 2. "a.list" being "bold", makes a myriad of things shown by
> gitweb in bold font-weight, which is a regression from
> pre-17d07443188909ef5f8b8c24043cb6d9fef51bca behavior.
> 
> The fix is to define separately "a.list_bold" and use
> that style in format_subject_html().

This fix is counter to what I wanted to do. I thought that
"list" class is used only in "subject" links, so I defaulted
it to bold (all such elements except one were inside <b>...</b>),
and encoded exceptions; notice

+table.tags a.list {
+       font-weight: normal;
+}
+

We could as well define "bold" class for "a", i.e.

+a.bold {
+       font-weight: bold;
+}

but this is presentational CSS, no better than <b>...</b> element.

The correct solution would be to add "subject" class perhaps,
and do exceptions for it.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git